{% extends 'dashboard/dashboard_content.html' %}

{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-envelope-o"></i>
                All Ur Alerts
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            {% if notifications %}
                <form method="POST">{% csrf_token %}
                    <div>
                        <div class="col-md-6">
                            <input type="submit" class="btn1 btn-orange" name="delete" value="Delete"/>
                        </div>
                        <div>
                            <ul class="nav navbar-nav navbar-right">
                                <li>
                                    <button id="del_all" class="btn1 btn1-danger" type="button" data-toggle="modal"
                                            data-target="#myModal">
                                        Delete All
                                    </button>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <div class="x_content">
                        {% for each in notifications %}
                            <div class="row">
                                <div class="col-md-1 " align="center">
                                    <br>
                                    <input type="checkbox" name="delete_list" value="{{ each.id }}"/>
                                </div>
                                <div class="col-md-11 ">
                                    <div class="list-group">
                                        <a {% if each.description %} href="/{{ each.description }}" {% endif %}
                                                                     class="list-group-item"
                                                {% if each.unread == True %}
                                                                     style="background-color: moccasin" {% endif %}>
                                            <h5 class="list-group-item-heading">
                                                <small style="float: right">{{ each.timestamp }}</small>
                                            </h5>
                                            <h4>
                                                <p class="list-group-item-text">
                                                    {{ each.verb }}
                                                </p>
                                            </h4>
                                        </a>
                                    </div>
                                </div>
                            </div>
                        {% endfor %}
                    </div>
                </form>
            {% else %}
                <h3 align="center" style="color: #1ca8ef"> U haven't received any notifications yet </h3>
            {% endif %}
        </div>
    </div>


    <!--Modal-->
    <form method="POST">{% csrf_token %}
        <div class="modal" id="myModal" tabindex="-1" role="dialog"
             aria-labelledby="myModalLabel1" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                        <h4 class="modal-title" id="myModalLabel1"><b> Confirmation </b></h4>
                    </div>
                    <div class="modal-body">
                        <h4 align="center"> This leads to deleting all of your notifications </h4>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn1 btn1-secondary" data-dismiss="modal">Close</button>
                        <input type="submit" class="btn1 btn-deep-orange" name="delete_all" value="Delete"/>
                    </div>
                </div>
            </div>
        </div>
    </form>
{% endblock %}